/*Beispiel fuer Codierung von Koordinaten und Eckpunkten in der CG:*/
#include <conio.h>  // wg. _getch()
#include <stdio.h>  // wg. printf()

int main()
{ int    j1=0;
  float  cubVrtx[8][4]; //Punkt-Koordinaten eines Wuerfels
  float *facePnt[6][4]; //Flaechen-Ecken als Punkt-Adressen

  /*Koordinaten-Zuweisung fuer einen Wuerfel-Punkt (z.B.):*/
  for (j1=0; j1<4; j1++) cubVrtx[7][j1] = 4.f-j1;
  /*Letzte Ecke letzter Flaeche sei (z.B.) letzter Wuerfel-Punkt:*/
  //unnoetig komplex, aber richtig: facePnt[5][3] = &cubVrtx[7][0];
  facePnt[5][3] = cubVrtx[7];

  /*Koordinaten-Ausgabe:*/
  for (j1=0; j1<4; j1++)
  { printf (" facePnt[5][3][%d]=%5.2f"  //Ausgabe ueber Index
            " =cubVrtx[7][%d]=%5.2f", //Eintrag-Adresse in Koordinatenliste
            j1, facePnt[5][3][j1], 
            j1, cubVrtx[7][j1]);
    printf (" =%5.2f \n\r",  //Ausgabe ueber Adresse
            *( *( *(facePnt+5) +3) +j1) );
  }
  _getch();

  /*Eine(!) printf-Anweisung mit 3 A-priori-Inkrementierungen: Da 3x der Inhalt 
    an derselben Adresse erhoeht wird, erscheinen alle Werte um 3 erhoeht!*/
  for (j1=0; j1<4; j1++)
    printf ("\n\r facePnt[5][3][%d]=%5.2f"  //Ausgabe ueber Index
            " = *(facePnt[5][3]+%d)=%5.2f"  //Ausgabe ueber Adresse
            " = cubVrtx[7][%d]= %5.2f", //Eintrag-Adresse in Koordinatenliste
            j1, ++facePnt[5][3][j1], 
            j1, ++*(facePnt[5][3]+j1), 
            j1, ++cubVrtx[7][j1]);
  _getch();
  return 0;
}
